Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87385 - missing ErrorDocument directive
Summary: missing ErrorDocument directive
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-httpd
Version: 8.0
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 15:55 UTC by Ronny Blomme
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-30 15:59:54 UTC


Attachments (Terms of Use)

Description Ronny Blomme 2003-03-26 15:55:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
After editing the default "Site configuration" settings using the
redhat-config-httpd GUI,
some directives (e.g. ErrorDocument) are not generated in the
/etc/httpd/conf/httpd.conf file

Version-Release number of selected component (if applicable):
redhat-config-httpd-1.0.1-13

How reproducible:
Always

Steps to Reproduce:
1.run redhat-config-httpd
2.go to tab "Virtual hosts"
3."Edit default settings"
4.in the "Site configuration" edit the "Error pages" settings for "Not Found"
and set it to e.g. URL /error/404.html.
5.Stop redhat-config-httpd (save and exit).   

Actual Results:  the directive
ErrorDocument 404 /error/404.html
is missing in /etc/httpd/conf/httpd.conf

Expected Results:  the /etc/httpd/conf/httpd.conf file must contain a directive
ErrorDocument 404 /error/404.html

Additional info:

If you do not "Edit default settings", but you "Edit" the "Default Virtual Host"
the same way, the generated httpd.conf file contains an ErrorDocument directive
in the <Virtualhost *> section. And that is OK.

Comment 1 Phil Knirsch 2004-07-30 15:59:54 UTC
Fixed in latest version.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.